Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.wsdl11.builder
Class WSDLBuilder

    java.lang.Object
      org.codehaus.xfire.wsdl11.builder.AbstractWSDL
          org.codehaus.xfire.wsdl11.builder.WSDLBuilder

All Implemented Interfaces:
  WSDLWriter

Direct Known Subclasses:
  JaxbWsdlBuilder, XmlBeansWSDLBuilder

    public class WSDLBuilder

extends AbstractWSDL
implements WSDLWriter

WSDL

Author:
  Dan Diephouse

Field Summary

Fields inherited from class org.codehaus.xfire.wsdl11.builder.AbstractWSDL
`complexQ, elementQ, schemaQ, sequenceQ`

Fields inherited from interface org.codehaus.xfire.wsdl.WSDLWriter
`WSDL11_NS, WSDL11_SOAP_NS`

Constructor Summary
`WSDLBuilder(Service service, TransportManager transportManager, WSDL11ParameterBinding paramBinding)`

Method Summary
`javax.wsdl.PortType` | `createAbstractInterface()`
`void` | `createConcreteInterface(javax.wsdl.PortType portType)`
`javax.wsdl.Operation` | `createOperation(OperationInfo op, javax.wsdl.Message req, javax.wsdl.Message res)`
`javax.wsdl.Part` | `createPart(MessageHeaderInfo header)`
`javax.wsdl.Part` | `createPart(MessagePartInfo part)`
`javax.wsdl.Part` | `createPart(javax.xml.namespace.QName pName, java.lang.Class clazz, SchemaType type)`
`void` | `write(java.io.OutputStream out)` Write the WSDL to an OutputStream.

Methods inherited from class org.codehaus.xfire.wsdl11.builder.AbstractWSDL
`addDependency, addNamespace, addNamespaceImport, createSchemaType, getDefinition, getDocument, getInfo, getNamespacePrefix, getSchemaTypes, getService, hasDependency, hasImport, hasSchema, setDefinition, setSchema, setSchemaTypes, setService, writeComplexTypes, writeDocument, writeImports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLBuilder

    public WSDLBuilder(Service service,
                       TransportManager transportManager,
                       WSDL11ParameterBinding paramBinding)
                throws javax.wsdl.WSDLException

Throws:
  `javax.wsdl.WSDLException`

Method Detail

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Description copied from interface: `WSDLWriter`
  Write the WSDL to an OutputStream.

  Specified by:
    `write` in interface `WSDLWriter`
  Overrides:
    `write` in class `AbstractWSDL`
  Parameters:
    `out` - The OutputStream.
  Throws:
    `java.io.IOException`
  See Also:
    `WSDLWriter.write(java.io.OutputStream)`

### createAbstractInterface

    public javax.wsdl.PortType createAbstractInterface()
                                                throws javax.wsdl.WSDLException

  Throws:
    `javax.wsdl.WSDLException`

### createConcreteInterface

    public void createConcreteInterface(javax.wsdl.PortType portType)

### createPart

    public javax.wsdl.Part createPart(MessageHeaderInfo header)

### createPart

    public javax.wsdl.Part createPart(MessagePartInfo part)

### createPart

    public javax.wsdl.Part createPart(javax.xml.namespace.QName pName,
                                      java.lang.Class clazz,
                                      SchemaType type)

### createOperation

    public javax.wsdl.Operation createOperation(OperationInfo op,
                                                javax.wsdl.Message req,
                                                javax.wsdl.Message res)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.